#1560 closed defect (fixed)

sparc64 [1/5]: _Objects_Extend_information improper alignment for 64-bit targets

Reported by: Gedare Bloom Owned by: Chris Johns
Priority: highest Milestone: 4.11
Component: score Version: 4.11
Severity: critical Keywords:
Cc: joel.sherrill@…, ralf.corsepius@…, sebastian.huber@… Blocked By:
Blocking:

Description

_Objects_Extend_information uses a sizeof(uint32_t) offset that leads to improper alignment in case the worst-case alignment is 8 or higher. The attached patch replaces the offending line with sizeof(uintptr_t), which should correct the problem.

(Note: void* is used in the preceding line of code in that same file and similar situation.)

Attachments (8)

objectextendinformation.diff (799 bytes) - added by Gedare Bloom on Jun 14, 2010 at 8:17:58 PM.
Patch to fix bug.
patch.diff (764 bytes) - added by Gedare Bloom on Aug 18, 2010 at 5:17:47 PM.
Updated patch.
patch_v1.diff (766 bytes) - added by Gedare Bloom on Aug 18, 2010 at 6:10:32 PM.
Updated patch.
objectsextend.diff (1.4 KB) - added by Gedare Bloom on Aug 31, 2010 at 4:09:59 PM.
Updated patch.
0001-PR1560-_Objects_Extend_information-improper-alignmen.patch (2.4 KB) - added by Gedare Bloom on Feb 11, 2013 at 6:16:25 PM.
Updated patch.
0001-score-New-routines-to-align-addresses-up-or-down.patch (2.0 KB) - added by Gedare Bloom on Feb 12, 2013 at 2:27:19 PM.
Alignment routines
0002-score-use-new-alignment-routine-in-object-extend-inf.patch (2.8 KB) - added by Gedare Bloom on Feb 12, 2013 at 2:28:08 PM.
Use alignment routines
0001-score-New-routines-to-align-addresses-up-or-down_v1.patch (2.1 KB) - added by Gedare Bloom on Feb 12, 2013 at 2:36:30 PM.
Alignment routines

Download all attachments as: .zip

Change History (24)

Changed on Jun 14, 2010 at 8:17:58 PM by Gedare Bloom

Patch to fix bug.

comment:1 Changed on Jun 14, 2010 at 9:02:51 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Chris Johns

comment:2 Changed on Jun 15, 2010 at 12:40:53 AM by Joel Sherrill

Cc: joel.sherrill@… ralf.corsepius@… added

comment:3 Changed on Jun 23, 2010 at 2:40:16 AM by Chris Johns

Status: newassigned

comment:4 Changed on Jun 23, 2010 at 10:52:02 PM by Chris Johns

dependson: 1574

Changed on Aug 18, 2010 at 5:17:47 PM by Gedare Bloom

Attachment: patch.diff added

Updated patch.

comment:5 Changed on Aug 18, 2010 at 5:17:47 PM by Gedare Bloom

attachments.isobsolete: 01

Changed on Aug 18, 2010 at 6:10:32 PM by Gedare Bloom

Attachment: patch_v1.diff added

Updated patch.

comment:6 Changed on Aug 18, 2010 at 6:10:32 PM by Gedare Bloom

attachments.isobsolete: 01

Changed on Aug 31, 2010 at 4:09:59 PM by Gedare Bloom

Attachment: objectsextend.diff added

Updated patch.

comment:7 Changed on Aug 31, 2010 at 4:09:59 PM by Gedare Bloom

attachments.isobsolete: 01

comment:8 Changed on Dec 18, 2011 at 3:01:14 PM by Gedare Bloom

Priority: normalhighest
Severity: normalcritical

comment:9 Changed on Feb 11, 2013 at 6:17:25 PM by Gedare Bloom

attachments.isobsolete: 01

comment:10 Changed on Feb 11, 2013 at 7:25:52 PM by Gedare Bloom

Resolution: fixed
Status: assignedclosed

comment:11 Changed on Feb 12, 2013 at 7:22:53 AM by Sebastian Huber

Resolution: fixed
Status: closedreopened, sebastian.huber@embedded-brains.de

Changed on Feb 12, 2013 at 2:27:19 PM by Gedare Bloom

Alignment routines

Changed on Feb 12, 2013 at 2:28:08 PM by Gedare Bloom

Use alignment routines

Changed on Feb 12, 2013 at 2:36:30 PM by Gedare Bloom

Alignment routines

comment:12 Changed on Feb 12, 2013 at 2:36:30 PM by Gedare Bloom

attachments.isobsolete: 01

comment:13 Changed on Feb 12, 2013 at 2:37:34 PM by Gedare Bloom

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:14 Changed on Feb 12, 2013 at 2:37:47 PM by Gedare Bloom

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:16 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.